<div moe relative>
    <a start show href="#">+ New User</a>
    <form url="/api/affiliate/createCustomerAsReseller">
        <h4 class="fw-bold mb-4">New User</h4>
        <div class="mb-3">
            <label class="text-sm text-secondary mb-1">Coupon</label>
            <?php $coupons = \App\Models\PromoCode::orderBy('code', 'ASC')->get(); ?>
            <select name="promoCodeUid" class="form-control form-control-sm" required>
                <option value="">-- select --</option>
                @foreach($coupons as $coupon)
                    <option value="{{$coupon->uid}}">{{$coupon->code}}</option>
                @endforeach
            </select>
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">First Name</label>
            <input type="text" name="nameFirst" class="form-control form-control-sm" required onkeyup="generateFullName(this)">
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Last Name</label>
            <input type="text" name="nameLast" class="form-control form-control-sm" required onkeyup="generateFullName(this)">
        </div>
        <input type="hidden" name="fullName">
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Email Address</label>
            <input type="email" name="email" class="form-control form-control-sm" required>
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Temporary Password</label>
            <input type="password" name="temporaryPassword" class="form-control form-control-sm" required>
        </div>
        <div class="mb-3">
            <label class="text-sm text-secondary mb-1">Welcome Message</label>
            <textarea name="welcomeMessage" class="form-control form-control-sm" rows="2"></textarea>
        </div>
        <div class="d-flex align-items-center mt-3">
            <button type="button" class="btn py-2 btn-grey border w-100 no-shadow" cancel>Cancel</button>
            <button class="btn py-2 btn-primary w-100 ms-3" submit>Submit</button>
        </div>
    </form>
</div>