<div class="">
    <div class="d-flex align-items-center">
        <h6 class="fw-bold text-muted mb-0">Payment Methods</h6>
        <div class="ms-2">
            @include('app.my-account.admin.users.forms.payment-method-create')
        </div>
    </div>
    <div>
        <table class="table table-sm table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th>Card</th>
                    {{--<th>Actions</th>--}}
                </tr>
            </thead>
            <tbody>
                @foreach($user->paymentMethods as $paymentMethod)
                <tr>
                    <td>{!! @$paymentMethod->displayName() !!}
                        @if($user->default_payment_method_id == $paymentMethod->id)
                            <span class="bg-success text-white rounded px-1">Default</span>
                        @endif
                    </td>
                    {{--<td>
                        <div class="d-flex align-items-center">
                            @include('app.my-account.admin.users.forms.payment-method-remove')
                            @if($user->default_payment_method_id != $paymentMethod->id)
                                <span class="mx-1">|</span>
                                @include('app.my-account.admin.users.forms.payment-method-make-default')
                            @endif
                        </div>
                    </td>--}}
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
