@extends('emails.layout')
@section('salutation')
    Hi, {{$user->displayName()}}!
@endsection

@section('content')
    <p class="f-fallback" style="color: #000; font-size: 17px; padding: 0 15px; line-height: 30px; margin: .4em 0 1.1875em;">Your order is on the way.<br />

    Your tracking number is: <b>{{ @$shippingDetails->tracking_number }}</b>.</p>
    
    @include('emails.call-to-action-button', ['link'=>$stringMappingConfig['clientUrl'].'/my-account', 'label' => 'View Order'])
    
@endsection