@extends('layouts.app')

@section('content')
    <div class="row mx-0">
        <div class="col-lg-4 offset-lg-4 col-md-6 offset-md-3 p-4 bg-white my-5 shadow p-lg-5">
            @if(session('message'))
            <div class="alert alert-info">{{session('message')}}</div>
            @endif

            <div class="text-center">
                <h5 class="header w-100 mt-2 mb-4">Reset your password</h5>
            </div>

            <form  action="{{route('process-forgot-password')}}" method="post">
                @csrf
                <div class="mt-3">
                    <label for="" class="form-label">Email address <span class="text-danger">*</span></label>
                    <input type="email" class="form-control" required name="email" value="{{old('email')}}">
                </div>

                <div class="mt-4 d-flex align-items-baseline justify-content-around">
                    <button class="btn btn-pry py-3 w-100">Request For Password Reset</button>
                </div>
            </form>
            <p class="mt-4 text-center">Back to <a href="{{route('log-in')}}">Login</a></p>
        </div>
    </div>
@endsection